Subject: bug#39204: r-rgdal: Reading of vector GIS data causes segfault

From: zimoun <[email-masked]>
Date: Mon, 24 Feb 2020 12:33:11 +0100

Hi Arun,

First, your patch does not apply. Because it should be line 21 and not
18 for the addition of your Copyright.

On Sat, 22 Feb 2020 at 20:42, Arun Isaac <[email-masked]> wrote:

> $ ./pre-inst-env guix build r-rgdal

I get the same message than I previously sent:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=39204#26

> $ ./pre-inst-env guix environment --container --ad-hoc r r-rgdal -- Rscript -e 'library(rgdal); dsn <- system.file("vectors", package = "rgdal")[1]; ogrInfo(dsn=dsn, layer="cities")'

--8<---------------cut here---------------start------------->8---
Loading required package: sp
rgdal: version: 1.4-8, (SVN revision 845)
 Geospatial Data Abstraction Library extensions to R successfully loaded
 Loaded GDAL runtime: GDAL 3.0.2, released 2019/10/28
 Path to GDAL shared files:
 GDAL binary built with GEOS: TRUE
 Loaded PROJ.4 runtime: Rel. 6.2.0, September 1st, 2019, [PJ_VERSION: 620]
 Path to PROJ.4 shared files: (autodetected)
 Linking to sp version: 1.4-0
Source: "/gnu/store/m4rd975j3979zqqqfwg3b7s070i3n3h3-r-rgdal-1.4-8/site-library/rgdal/vectors",
layer: "cities"
Driver: ESRI Shapefile; number of rows: 606
Feature type: wkbPoint with 2 dimensions
Extent: (-165.27 -53.15) - (177.1302 78.2)
CRS: +proj=longlat +datum=WGS84 +no_defs
LDID: 0
Number of fields: 4
        name type length  typeName
1       NAME    4     40    String
2    COUNTRY    4     12    String
3 POPULATION   12     11 Integer64
4    CAPITAL    4      1    String
--8<---------------cut here---------------end--------------->8---

But as we have talked before, there is an issue about the upstream
test suite of the package (point 1. of [1]). So I am investigating...

[1]  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=39204#26

All the best,
simon